com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision

- java.lang.Object
- - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision

- Enclosing class:
    STUHFL_T_ST25RU3993_Gen2_InventoryCfg

      public class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Anticollision
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `adaptiveQ`
    `byte[]` | `C1` < I/O Param: Q algorithm C2 values for each Q
    `byte[]` | `C2` < I/O Param: Q algorithm options
    `byte` | `maxQ` < I/O Param: Minimum value that Q could reach
    `byte` | `minQ` < I/O Param: Q starting value
    `byte` | `options` < I/O Param: Maximum value that Q could reach.
    `byte` | `startQ` < I/O Param: Flag to enable automatic Q adaption

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anticollision(boolean adaptiveQ, byte startQ, byte minQ, byte maxQ, byte options, byte[] c2, byte[] c1)` < I/O Param: Q algorithm C1 values for each Q

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### adaptiveQ

          public boolean adaptiveQ

    - #### startQ

          public byte startQ

      < I/O Param: Flag to enable automatic Q adaption

    - #### minQ

          public byte minQ

      < I/O Param: Q starting value

    - #### maxQ

          public byte maxQ

      < I/O Param: Minimum value that Q could reach

    - #### options

          public byte options

      < I/O Param: Maximum value that Q could reach. If value exceeds 15 it is truncated to 15.

    - #### C2

          public byte[] C2

      < I/O Param: Q algorithm options

    - #### C1

          public byte[] C1

      < I/O Param: Q algorithm C2 values for each Q

  - ### Constructor Detail

    - #### Anticollision

          public Anticollision(boolean adaptiveQ,
                               byte startQ,
                               byte minQ,
                               byte maxQ,
                               byte options,
                               byte[] c2,
                               byte[] c1)

      < I/O Param: Q algorithm C1 values for each Q

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`